Subject: Re: 23.1; Emacs 23.1 regression in re-search-forward

From: Kenichi Handa <[email-masked]>
Date: Wed, 27 Jan 2010 12:43:39 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> Hi Handa-san,
> Could you try to investigate Bug#4209?

Ok, I'll work on it.

> I took a quick look, and the
> contents of the Lisp string passed to Fre_search_forward in Emacs 23 is

> $2 = (struct Lisp_String *) 0x86765b8
> "\\`\302L\357w\306i\214\n"

> but in Emacs 22 (where this test works) it's

> $2 = (struct Lisp_String *) 0x86290e8
> "\\`\302L\357w\306i\236\254\n"

> which seems a little strange to me.

It seems that Emacs 22 provoides a multibyte string (perhaps
because the searching buffer is multibyte) and Emacs 23
provoides a unibyte string.  But, I think that difference is
not important here.

---
Kenichi Handa
[email-masked]